from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.i18n import XLocaleData2

@runtime_checkable
class XLocaleData3(XLocaleData2, Protocol):
    def getAllCalendars2(self, aLocale: Locale) -> list[Calendar2]: ...
